Digg StumbleUpon LinkedIn YouTube Flickr Facebook Twitter RSS Reset

Les vieilles versions de macOS n’ont plus accès à l’Apple Store

Apple vend la majorité de ses produits via ses Apple Store, y compris la plate-forme en ligne. Depuis peu, le store est inaccessible depuis Safari sur une vieille version de macOS.

Apple semble avoir modifié les prérequis pour pouvoir accéder à son Apple Store en ligne. Les vieilles versions de Safari et de macOS ne peuvent plus y accéder. Les utilisateurs sont désormais accueillis par un méchant message d’erreur leur indiquant qu’ils utilisent une “version de navigateur non supportée“.

Apple réclame une version récente de macOS et Safari pour accéder à son Apple Store en ligne

C’est Mac Otakara qui a le premier évoqué cette découverte. Plusieurs utilisateurs évoquaient le fait de devoir avoir OS X 10.10.5 Yosemite ou une version plus récente ainsi que Safari 10.1.2 ou ultérieur. Cela signifie aussi que si, pour une raison ou une autre, vous avez une version plus ancienne de Yosemite, vous ne pourrez pas y accéder.

Plutôt ironique pour les clients qui voudraient justement changer de machine

Et si vous vous demandiez s’il est possible de contourner cette restriction en passant par un navigateur tiers, il semble que ce soit impossible aussi parce que les versions compatibles de Chrome et Firefox sont elles aussi obsolètes. Il faudra donc nécessairement passer à une version plus récente de macOS, comme macOS 10.14 Mojave. Difficile de comprendre pourquoi Apple a effectué ces modifications. Selon AppleInsider, ce pourrait être pour sécuriser au maximum le processus d’achat.

----------------------------------------------------------------------------

En obligeant à avoir un navigateur plus récent, Apple limite le risque de failles de sécurité et autres vols de données personnelles. Tout du moins, lorsque l’on navigue sur son site. Reste que tout ceci est assez ironique. Certains clients disposant d’une vieille machine pourraient justement vouloir en acheter une plus récente sur le site d’Apple… et découvrir qu’ils ne peuvent pas…